Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogicx.jsp.tags
Interface BeanParamInterpreter

public interface BeanParamInterpreter

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Object` | `get(String objectid, HttpSession session)`
`void` | `processAll(ServletRequest rq, HttpSession session)`
`void` | `processDelete(ServletRequest rq, HttpSession session)`
`void` | `processNew(ServletRequest rq, HttpSession session)`
`void` | `processShift(ServletRequest rq, HttpSession session)`
`void` | `set(ServletRequest rq, HttpSession session)`

Method Detail

### get

    public Object get(String objectid,
                      HttpSession session)
               throws Exception

  Throws:
    `Exception`

### processAll

    public void processAll(ServletRequest rq,
                           HttpSession session)
                    throws Exception

  Throws:
    `Exception`

### processDelete

    public void processDelete(ServletRequest rq,
                              HttpSession session)
                       throws Exception

  Throws:
    `Exception`

### processNew

    public void processNew(ServletRequest rq,
                           HttpSession session)
                    throws Exception

  Throws:
    `Exception`

### processShift

    public void processShift(ServletRequest rq,
                             HttpSession session)
                      throws Exception

  Throws:
    `Exception`

### set

    public void set(ServletRequest rq,
                    HttpSession session)
             throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD